Qwizdom OKTOPUS Software

Previous Versions of OKTOPUS

If you wish to roll back to the previous release of OKTOPUS, please use the links below. 

  1. Uninstall your current version
  2. Download and install from the links below. Your OKTOPUS licence will not be affected.

If you are rolling back, we would like to know why. Please contact us by creating a ticket at our support centre and let us know! Thank you.


Operating SystemOKTOPUS StandaloneOKTOPUS with Actionpoint Suite
Required for Qwizdom Actionpoint Users

Windows 8 / Windows 10





Version 4.7.4 and above is compatible with
MacOS 10.14 - 11

Version 4.5.5 and below is compatible with
MacOS 10.13 - 10.14 only




Translate »